Delete Settings (/iute/settings)
curl --request DELETE \
--url https://api.vellaro.io/api/v1/admin/iute/settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vellaro.io/api/v1/admin/iute/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vellaro.io/api/v1/admin/iute/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vellaro.io/api/v1/admin/iute/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vellaro.io/api/v1/admin/iute/settings"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.vellaro.io/api/v1/admin/iute/settings")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vellaro.io/api/v1/admin/iute/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"installed": true,
"enabled": true,
"plugin_status": "<string>",
"enabled_at": "2023-11-07T05:31:56Z",
"config": {
"environment": "test",
"country": "al",
"api_key_test": "<string>",
"api_key_live": "<string>",
"has_admin_key_test": true,
"admin_key_test_last4": "<string>",
"has_admin_key_live": true,
"admin_key_live_last4": "<string>",
"merchant_name": "<string>",
"widget_pdp": true,
"widget_cards": true,
"logo_color": "default",
"thank_you_screen": true,
"fast_checkout": true,
"pilot_emails": [
"<string>"
],
"pilot_live": true
},
"connection": {},
"status": {
"iute_allowed": true,
"enable_blockers": [
"<string>"
],
"last_webhook_at": "2023-11-07T05:31:56Z",
"rejected_signatures_24h": 123,
"iute_auto_paid": false,
"last_status_read_ok_at": "2023-11-07T05:31:56Z",
"in_checkout": false,
"pilot_required": false
},
"webhooks": {
"confirm_url": "<string>",
"cancel_url": "<string>"
}
},
"meta": {
"page": 123,
"page_size": 123,
"total": 123,
"total_pages": 123
},
"error": "<string>",
"error_code": "<string>"
}Integrations & modules
Delete Settings (/iute/settings)
Toglie il modulo e la sua configurazione (chiavi comprese). 404 plugin.not_installed. Da R1 con pratiche
aperte 409 iute.open_applications. Audit iute.uninstall con la config di prima OSCURATA.
DELETE
/
api
/
v1
/
admin
/
iute
/
settings
Delete Settings (/iute/settings)
curl --request DELETE \
--url https://api.vellaro.io/api/v1/admin/iute/settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vellaro.io/api/v1/admin/iute/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vellaro.io/api/v1/admin/iute/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vellaro.io/api/v1/admin/iute/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vellaro.io/api/v1/admin/iute/settings"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.vellaro.io/api/v1/admin/iute/settings")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vellaro.io/api/v1/admin/iute/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"installed": true,
"enabled": true,
"plugin_status": "<string>",
"enabled_at": "2023-11-07T05:31:56Z",
"config": {
"environment": "test",
"country": "al",
"api_key_test": "<string>",
"api_key_live": "<string>",
"has_admin_key_test": true,
"admin_key_test_last4": "<string>",
"has_admin_key_live": true,
"admin_key_live_last4": "<string>",
"merchant_name": "<string>",
"widget_pdp": true,
"widget_cards": true,
"logo_color": "default",
"thank_you_screen": true,
"fast_checkout": true,
"pilot_emails": [
"<string>"
],
"pilot_live": true
},
"connection": {},
"status": {
"iute_allowed": true,
"enable_blockers": [
"<string>"
],
"last_webhook_at": "2023-11-07T05:31:56Z",
"rejected_signatures_24h": 123,
"iute_auto_paid": false,
"last_status_read_ok_at": "2023-11-07T05:31:56Z",
"in_checkout": false,
"pilot_required": false
},
"webhooks": {
"confirm_url": "<string>",
"cancel_url": "<string>"
}
},
"meta": {
"page": 123,
"page_size": 123,
"total": 123,
"total_pages": 123
},
"error": "<string>",
"error_code": "<string>"
}